2017-04-23 14:54 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002471NetSurf[All Projects] Generalpublic2017-01-08 23:24
ReporterVincent Sanders 
Assigned ToVincent Sanders 
SeveritycrashReproducibilityalways 
StatusresolvedResolutionfixed 
PlatformRaspberry Pi Model BOSRISC OSOS Version
Product Version3.6 
Target Version3.7Fixed in Version3.7 
Summary0002471: RISC OS SSL certifcate problem causes browser crash
DescriptionSometimes when browsing the web I'll get an SSL certficate error. There are two boxes with no text in them on the screen, and each are labeled as "SSL certificate problem". The browser is unusable while the two boxes are on the screen. After pressing accept on both boxes the browser crashes. This happens on many websites. This never happened on Raspbian Wheezy.
TagsNo tags attached.
Fixed in CI build #3939
Reported in CI build #
URL of problem pagehttp://nosher.net
Attached Files

-Relationships
has duplicate 0002481resolved Crash on SSL error 
has duplicate 0002507resolved Browser Crash on handling security when visiting openmailbox.org 
+Relationships

-Notes
Vincent Sanders

~0001407

Vincent Sanders (administrator)

From other bug:
Andrew Pinder

RISC OS 5.22 on an ARMini; Dev CI#3461. I get the same crash. I've attached the log file and a screen grab of the error box
Vincent Sanders

~0001409

Vincent Sanders (administrator)

This bug had been mixed up with a similar GTK one

This bug is directly related to the RISC OS core window (lack of) support. The RO frontend is using the deprecated treeview compatibility which is broken if multiple SSL certificate issues are found because of (as in this case) a root certificate issue.

The bug was updated by Andrew Pinder and recently again by Richard Torrens
Vincent Sanders

~0001463

Vincent Sanders (administrator)

risc os core window support added, multiple certificate errors now display in multiple windows instead of crashing
+Notes

-Issue History
Date Modified Username Field Change
2016-09-21 09:37 Vincent Sanders New Issue
2016-09-21 09:37 Vincent Sanders Issue generated from: 0002442
2016-09-21 09:40 Vincent Sanders Note Added: 0001407
2016-09-21 09:47 Vincent Sanders Note Added: 0001409
2016-09-21 09:47 Vincent Sanders Status new => confirmed
2016-09-21 09:47 Vincent Sanders Summary SSL certifcate problem causes browser crash => RISC OS SSL certifcate problem causes browser crash
2016-11-18 23:33 Vincent Sanders Relationship added has duplicate 0002481
2016-12-31 11:47 Vincent Sanders Fixed in CI build # => 3939
2016-12-31 11:47 Vincent Sanders Note Added: 0001463
2016-12-31 11:47 Vincent Sanders Assigned To => Vincent Sanders
2016-12-31 11:47 Vincent Sanders Status confirmed => resolved
2016-12-31 11:47 Vincent Sanders Resolution open => fixed
2016-12-31 11:47 Vincent Sanders Fixed in Version => 3.7
2016-12-31 11:47 Vincent Sanders Target Version => 3.7
2017-01-08 23:24 Vincent Sanders Relationship added has duplicate 0002507
+Issue History